Bug 1018513 - [abrt] alsa-utils-1.0.27.2-3.fc20: free_list: Process /usr/sbin/alsactl was killed by signal 11 (SIGSEGV)
[abrt] alsa-utils-1.0.27.2-3.fc20: free_list: Process /usr/sbin/alsactl was k...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
abrt_hash:f91a7d0b6be0ff1b8673441db2d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-12 15:24 EDT by ByteEnable
Modified: 2015-02-26 03:57 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-20 04:10:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.51 KB, text/plain)
2013-10-12 15:24 EDT, ByteEnable
no flags Details
File: cgroup (148 bytes, text/plain)
2013-10-12 15:24 EDT, ByteEnable
no flags Details
File: core_backtrace (1.53 KB, text/plain)
2013-10-12 15:24 EDT, ByteEnable
no flags Details
File: dso_list (644 bytes, text/plain)
2013-10-12 15:24 EDT, ByteEnable
no flags Details
File: environ (72 bytes, text/plain)
2013-10-12 15:24 EDT, ByteEnable
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-12 15:24 EDT, ByteEnable
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-12 15:25 EDT, ByteEnable
no flags Details
File: maps (3.55 KB, text/plain)
2013-10-12 15:25 EDT, ByteEnable
no flags Details
File: open_fds (253 bytes, text/plain)
2013-10-12 15:25 EDT, ByteEnable
no flags Details
File: proc_pid_status (894 bytes, text/plain)
2013-10-12 15:25 EDT, ByteEnable
no flags Details

  None (edit)
Description ByteEnable 2013-10-12 15:24:45 EDT
Version-Release number of selected component:
alsa-utils-1.0.27.2-3.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/sbin/alsactl -s -n 19 -c -E ALSA_CONFIG_PATH=/etc/alsa/alsactl.conf --initfile=/lib/alsa/init/00main rdaemon
crash_function: free_list
executable:     /usr/sbin/alsactl
kernel:         3.11.3-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 free_list at daemon.c:74
 #1 card_free at daemon.c:83
 #2 state_daemon at daemon.c:455
Comment 1 ByteEnable 2013-10-12 15:24:47 EDT
Created attachment 811613 [details]
File: backtrace
Comment 2 ByteEnable 2013-10-12 15:24:49 EDT
Created attachment 811614 [details]
File: cgroup
Comment 3 ByteEnable 2013-10-12 15:24:52 EDT
Created attachment 811615 [details]
File: core_backtrace
Comment 4 ByteEnable 2013-10-12 15:24:54 EDT
Created attachment 811616 [details]
File: dso_list
Comment 5 ByteEnable 2013-10-12 15:24:56 EDT
Created attachment 811617 [details]
File: environ
Comment 6 ByteEnable 2013-10-12 15:24:58 EDT
Created attachment 811618 [details]
File: exploitable
Comment 7 ByteEnable 2013-10-12 15:25:00 EDT
Created attachment 811619 [details]
File: limits
Comment 8 ByteEnable 2013-10-12 15:25:03 EDT
Created attachment 811620 [details]
File: maps
Comment 9 ByteEnable 2013-10-12 15:25:05 EDT
Created attachment 811621 [details]
File: open_fds
Comment 10 ByteEnable 2013-10-12 15:25:07 EDT
Created attachment 811622 [details]
File: proc_pid_status
Comment 11 Branko Grubić 2013-12-16 19:17:30 EST
Not sure is it the same problem, but today I saw this in logs (abrt didn't catch it) 
[   32.782439] alsactl[695]: segfault at 76 ip 00007f53f8c87d76 sp 00007fff4b77a120 error 4 in libc-2.18.so[7f53f8c3f000+1b4000]

Only this in the journal

pkg_version: alsa-utils-1.0.27.2-3.fc20.x86_64 
kernel: 3.12.5-301.fc20.x86_64
Comment 12 Jaroslav Kysela 2014-01-20 04:10:02 EST
This issue should be solved in alsa-utils-1.0.27.2-4.fc20 . If this problem persists, reopen this bug, please..

Note You need to log in before you can comment on or make changes to this bug.